Subject: RE: [Dart] I-D Action: draft-ietf-dart-dscp-rtp-07.txt

From: "Black, David" <[email-masked]>
Date: Wed, 1 Oct 2014 22:53:57 +0000

Hi Ruediger,

> Sorry for being late with my review.

No apology necessary - you have the honor of submitting the first IETF Last Call
comments on this draft.

> There's one change I'd like to suggest:
> 
> Section 3.1, list number 2. briefly explains AF. The section doesn't
> explicitly mention that traffic carried by one of the three PHBs of an AF
> class are not reordered. This feature, avoiding reordering packets belonging
> to different PHBs of an AF class, is however a kind of punch line whenever AF
> is referred to in later sections. So I'd welcome mentioning it in section 3.1,
> list point 2.

Sure, that's a good suggestion - I'll do that.  That absence of reordering
concept is covered elsewhere in the draft, but it first shows up in Section 5.1,
so mentioning it earlier in Section 3.1 will help.

On the minor comments, I'd just as soon not tinker with the example text in
Section 4, our AD suggested emphasizing that point in Section 5.1 (but if
other reviewers dislike "very", that word can be bit-bucketed), and the ECMP
implementation described in your comments is one that cannot claim to support
AF, as it does not meet the requirements of RFC 2597.  It's a network operator
responsibility to not run AF across such an implementation; I think that sort
of DiffServ operational concern is best covered elsewhere.

My current inclination is not to make any changes for these minor comments.

> And one editorial comment:
> 
> Section 3., last bullet point and following section: the bullet point is
> focused on Lower Effort PHB marked by CS 1 and the following section continues
> by discussing CS 1 issues more general. This discussion may be added to the
> bullet point (to me the discussion doesn't seem to be related to the first
> bullet point).

That's a good catch - the paragraph after that CS1 bullet point mixes two
concepts that ought to be teased apart and merged into the two foregoing
bullets to improve clarity:

- Expanding on the non-requirements for different class selector code points
	to provide service differentiation.  This text should be merged into
	the first bullet.

- Expanding on the problems with assuming that CS1 selects a Lower Effort
	service.  This text should be merged into the second (CS1) bullet.

Thanks,
--David

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, October 01, 2014 3:14 AM
> To: Black, David
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Dart] I-D Action: draft-ietf-dart-dscp-rtp-07.txt,
> 
> Hi David,
> 
> The draft is well written and I regard it as very helpful.
> 
> There's one change I'd like to suggest:
> 
> Section 3.1, list number 2. briefly explains AF. The section doesn't
> explicitly mention that traffic carried by one of the three PHBs of an AF
> class are not reordered. This feature, avoiding reordering packets belonging
> to different PHBs of an AF class, is however a kind of punch line whenever AF
> is referred to in later sections. So I'd welcome mentioning it in section 3.1,
> list point 2.
> 
> ################# minor comments (no objection if ignored)
> #############################
> 
> Section 4. , second block. Why are I-frames marked AF41 and P-frames AF43 in
> the example? To me, AF42 for P makes more sense (or make it AF42 for I
> frames). AF43 could be used for B-frames (which aren't mentioned in the text).
> 
> Section 5.1 second block after the bullet pointed list
> 
> ".making reordering very likely."
> 
> Would "making reordering likely" be sufficient?
> 
> Section 5.1
> 
> There's at least one ECMP implementation I'm aware of which includes QoS bits
> to calculate the load balancing hash value. It reorders packets of a flow
> using multiple classes, if they are spaced less than the resulting delay
> difference. This is an exceptional implementation, the other solutions I'm
> aware of do ignore QoS bits when calculating ECMP hash values. ECMP is a
> proprietary feature, I think.
> 
> And one editorial comment:
> 
> Section 3., last bullet point and following section: the bullet point is
> focused on Lower Effort PHB marked by CS 1 and the following section continues
> by discussing CS 1 issues more general. This discussion may be added to the
> bullet point (to me the discussion doesn't seem to be related to the first
> bullet point).
> 
> ########################################################
> 
> Sorry for being late with my review.
> 
> Regards,
> 
> Ruediger
> 
> 
>